Bug 428973 - Review Request: vodovod - a pipe connecting game
Review Request: vodovod - a pipe connecting game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 10:20 EST by Karel Volný
Modified: 2008-02-08 05:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 05:52:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ian: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Patch to compile against g++43 (411 bytes, patch)
2008-02-03 03:15 EST, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Karel Volný 2008-01-16 10:20:59 EST
Spec URL: http://www.hajnet.cz/soubory/vodovod/vodovod.spec.1.10
SRPM URL: http://www.hajnet.cz/soubory/vodovod/vodovod-1.10-1.fc8.src.rpm
Description:
A free cross-platform pipe connecting game. You get a limited number
of pipes on each level and need to combine them to lead the water from
the house at the top of the screen to the storage tank at the bottom.


hi,

I've found this one at the games wishlist, and it looks nice ...

the game uses hardcoded paths, relative to the directory it is run in, it expects that the working directory contains the game data and that game settings and hiscores may be written in it, so during setup, the sources are patched to read data from %{_datadir}, and there is a wrapper script that starts the game in ~/.vodovod (hoping that it is able to do so, not checking for possible errors ... is that worth?)
Comment 1 Ian Weller 2008-02-02 23:10:00 EST
the package builds fine on i386. i'm currently working on the review.
Comment 2 Ian Weller 2008-02-03 01:31:27 EST
[OK] = ok, [XX] = fail, [NA] = doesn't apply, [  ] = not tested

[OK] rpmlint passes
[OK] package named according to Package Naming Guidelines
[XX] spec file name matches base package %{name}, in the format %{name}.spec
 - vodovod.spec.0.10 was odd, not sure if that was just for your hosting or
   what
[OK] package must meet Packaging Guidelines
[OK] package must be licensed with Fedora approved license 
     and meet Licensing Guidelines
[OK] License field in spec file must match actual license 
[OK] if (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package must be included in %doc 
[OK] spec file is written in American English 
[OK] spec file for the package is legible 
[OK] sources used to build package match upstream source, as provided in spec URL
[OK] package successfully compiles and builds into binary rpms on at least
     one supported architecture
[NA] if package does not successfully compile, build or work on an architecture,
     then those architectures should be listed in the spec in ExcludeArch
[OK] all build dependencies are listed in BuildRequires except for exceptions
[NA] The spec file MUST handle locales properly
[NA] Every binary RPM package which stores shared library files in any of the
     dynamic linker's default paths must call ldconfig in %post and %postun 
[NA] if the package is designed to be relocatable, the packager must state this
     fact in the request for review
[OK] package must own all directories that it creates 
[OK] package must not contain any duplicate files in the %files listing 
[OK] permissions on files must be set properly
[OK] package must have a %clean section, which contains rm -rf %{buildroot}
     (or $RPM_BUILD_ROOT)
[OK] each package must consistently use macros
[OK] package must contain code
[NA] large documentation files should go in a -doc subpackage
 - i thought at first that html/ should be *-doc, but it's only one file... 
[OK] if a package includes something as %doc, it must not affect the runtime of
     the application
[NA] header files must be in a -devel package 
[NA] static libraries must be in a -static package 
[NA] packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
     directory ownership and usability)
[NA] library files that end in .so (without suffix) must go in a -devel package 
[NA] devel packages must require base package using fully versioned dependency
[OK] packages must NOT contain any .la libtool archives
[OK] packages containing GUI applications must include a %{name}.desktop file
[OK] packages must not own files or directories already owned by other packages
[OK] each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
[OK] all filenames in rpm packages must be valid UTF-8
[NA] if the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it
[NA] description and summary sections in the package spec file should contain 
     translations for supported Non-English languages, if available
[OK] package builds in mock 
[OK] package should compile and build into binary rpms
     on all supported architectures
 - http://koji.fedoraproject.org/koji/taskinfo?taskID=392130
[OK] reviewer should test that the package functions as described
[NA] if scriptlets are used, those scriptlets must be sane 
[NA] usually, subpackages other than devel should require the base package 
     using a fully versioned dependency
[NA] the placement of pkgconfig(.pc) files depends on their usecase, and this
     is usually for development purposes, so should be placed in a -devel pkg
[NA] if the package has file dependencies outside of /etc, /bin, /sbin,
     /usr/bin, or /usr/sbin consider requiring the package which provides
     the file instead of the file itself

One problem found
Comment 3 Ian Weller 2008-02-03 01:35:05 EST
I actually looked in the SRPM and the spec file was the correct name, so there
are no visible problems with this package.

==================================
  approved
==================================
Comment 4 Mamoru TASAKA 2008-02-03 01:41:27 EST
Ian, sorry. However this package contains a (maybe some) issue(s)
which must be fixed before approving this package.
Comment 5 Ian Weller 2008-02-03 01:50:22 EST
would you be willing to explain what exactly those issues are? i don't see 'em.
did you see comment #3?
Comment 6 Ian Weller 2008-02-03 01:52:33 EST
oh I remember what I was thinking -- line 4, summary: probably shouldn't contain
the package name.

also, should the comment in the .desktop file have a period at the end?
Comment 7 Mamoru TASAKA 2008-02-03 03:15:45 EST
Created attachment 293826 [details]
Patch to compile against g++43

(In reply to comment #2)
> [OK] package must meet Packaging Guidelines

Well, I know many reviewers uses check-list style
like you. I don't object to it, however I always wonder
what this "package must meet Packaging Guidelines" means
on this check list. Actually
http://fedoraproject.org/wiki/Packaging/Guidelines
contains 40 items...

Anyway:
* This package does not build on dist-f9.
http://koji.fedoraproject.org/koji/taskinfo?taskID=392156
  A proposed patch is attached.
* On build fedora specific compilation flags are not correctly
  honored ("Compiler flags" of
  http://fedoraproject.org/wiki/Packaging/Guidelines )
  Using
--------------------------------------------------------------------
make %{?_smp_mflags} \
	CC="%{__cxx} %{optflags}"
--------------------------------------------------------------------
  is good for this package.
- Desktop icon must be updated ("GTK+ icon cache" of
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets )
- And actually the description of this package
  "Vodovod -" is redundant.
Comment 8 Ian Weller 2008-02-03 13:59:39 EST
> Well, I know many reviewers uses check-list style
> like you. I don't object to it, however I always wonder
> what this "package must meet Packaging Guidelines" means
> on this check list. Actually
> http://fedoraproject.org/wiki/Packaging/Guidelines
> contains 40 items...

I shall keep that in mind. ;)

Other than that I'll wait for an updated package.
Comment 9 Karel Volný 2008-02-04 08:28:08 EST
(In reply to comment #2)
> [XX] spec file name matches base package %{name}, in the format %{name}.spec
>  - vodovod.spec.0.10 was odd, not sure if that was just for your hosting or
>    what

this is only a primitive VCS to be sure that the linked file does not change 
and so two people are not referring different state of things - as you noted 
in comment #3, I do not use the suffix for packaging


(In reply to comment #6)
> line 4, summary: probably shouldn't contain
> the package name.

ops, I've copied this and forgot about the rule

> also, should the comment in the .desktop file have a period at the end?

probably not, removing

(In reply to comment #7)
> * This package does not build on dist-f9.
> http://koji.fedoraproject.org/koji/taskinfo?taskID=392156
>   A proposed patch is attached.

thanks, included

> * On build fedora specific compilation flags are not correctly
>   honored ("Compiler flags" of
>   http://fedoraproject.org/wiki/Packaging/Guidelines )
>   Using
> --------------------------------------------------------------------
> make %{?_smp_mflags} \
>         CC="%{__cxx} %{optflags}"
> --------------------------------------------------------------------
>   is good for this package.

well, the guidelines could be more verbose about this ... thanks, added

> - Desktop icon must be updated ("GTK+ icon cache" of
>   http://fedoraproject.org/wiki/Packaging/ScriptletSnippets )

thanks, included - once more, it could be mentioned within the guidelines (I'm 
KDE user, so ...)

new version:
http://www.hajnet.cz/soubory/vodovod/vodovod.spec.1.10-2
http://www.hajnet.cz/soubory/vodovod/vodovod-1.10-2.fc8.src.rpm
Comment 10 Mamoru TASAKA 2008-02-06 11:00:15 EST
Good for me. I will leave the final judgment to Ian.
Comment 11 Ian Weller 2008-02-06 13:50:36 EST
everything's good as far as i can see.
=== approved ===
Comment 12 Karel Volný 2008-02-07 05:50:35 EST
New Package CVS Request
=======================
Package Name: vodovod
Short Description: a pipe connecting game
Owners: kvolny
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 13 Kevin Fenzi 2008-02-07 12:12:10 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.